.wpcc-elementor-block {
  --wpcc-font-size: 1rem;
}
.wp-calorie-calculator {
  box-sizing: border-box;
  display: block;
  width: 100% !important;
  margin: 0 auto;
  max-width: 1190px !important;
  font-family: inherit;
  font-size: var(--wpcc-font-size);
  line-height: calc(var(--wpcc-font-size) * 1.25);
  color: rgba(var(--wpcc-text-color), 1);
  overflow: hidden;
}
.wp-calorie-calculator *,
.wp-calorie-calculator *::before,
.wp-calorie-calculator *::after {
  box-sizing: border-box;
}
.wp-calorie-calculator-page .grecaptcha-badge {
  display: none !important;
}
.wp-calorie-calculator .wpcc-edit-link {
  display: block;
  padding-top: 15px;
  padding-bottom: 15px;
}
.wp-calorie-calculator .wpcc-edit-link-wrapper {
  position: relative;
  display: flex;
  align-items: center;
  width: auto !important;
}
.wp-calorie-calculator .wpcc-edit-link-wrapper .post-meta-wrapper {
  width: auto;
  margin-left: 0;
  margin-right: 10px;
}
.wp-calorie-calculator .wpcc-edit-link-wrapper .wpcc-tooltip {
  top: 1px;
}
.wp-calorie-calculator
  .wpcc-edit-link-wrapper
  .wpcc-tooltip
  .wpcc-tooltip-icon {
  width: 16px !important;
  height: 16px !important;
  color: #888;
}
.wp-calorie-calculator .wpcc-radio {
  display: flex;
  margin-bottom: 15px;
  font-size: inherit;
}
.wp-calorie-calculator .wpcc-radio-title {
  display: flex;
  align-items: center;
}
.wp-calorie-calculator .wpcc-radio input {
  display: none;
}
.wp-calorie-calculator .wpcc-radio input + span {
  position: relative;
  font-family: inherit;
  font-size: var(--wpcc-font-size);
  line-height: calc(var(--wpcc-font-size) * 1.25);
  font-weight: normal;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}
.wp-calorie-calculator .wpcc-radio input + span::before {
  box-sizing: border-box;
  flex-shrink: 0;
  content: "";
  width: 1.1em;
  height: 1.1em;
  margin-right: 0.5em;
  border-width: 1px;
  border-style: solid;
  border-color: rgba(var(--wpcc-radio-button-color), 1);
  border-radius: 50%;
  transition: all 0.1s ease;
}
.wp-calorie-calculator .wpcc-radio input + span:hover::before {
  background-color: rgba(var(--wpcc-radio-button-color), 0.1);
}
.wp-calorie-calculator .wpcc-radio input:checked + span::before {
  border-width: 0.25em;
  border-color: rgba(var(--wpcc-radio-button-color), 1);
}
.wp-calorie-calculator .wpcc-radio span {
  color: rgba(var(--wpcc-text-color), 1);
}
.wp-calorie-calculator .wpcc-checkbox {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
  font-size: inherit;
}
.wp-calorie-calculator .wpcc-checkbox input,
.wp-calorie-calculator .wpcc-checkbox-check {
  display: none;
}
.wp-calorie-calculator .wpcc-checkbox input + span {
  position: relative;
  font-family: inherit;
  font-size: var(--wpcc-font-size);
  line-height: calc(var(--wpcc-font-size) * 1.25);
  padding-left: calc(var(--wpcc-font-size) + (var(--wpcc-font-size) * 0.6));
  font-weight: normal;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}
.wpcc-elementor-block .wp-calorie-calculator .wpcc-checkbox input + span {
  padding-left: calc(1em + (1em * 0.6));
}
.wp-calorie-calculator .wpcc-checkbox input + span::before {
  position: absolute;
  left: 0;
  top: 3px;
  box-sizing: border-box;
  flex-shrink: 0;
  content: "";
  width: 1.1em;
  height: 1.1em;
  margin-right: 0.5em;
  border-width: 1px;
  border-style: solid;
  border-color: rgba(var(--wpcc-form-checkbox-color), 1);
  transition: all 200ms ease;
}
.wp-calorie-calculator .wpcc-checkbox input + span:hover::before {
  background-color: rgba(var(--wpcc-form-checkbox-color), 0.1);
}
.wp-calorie-calculator
  .wpcc-checkbox
  input:checked
  + span
  .wpcc-checkbox-check {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  top: 3px;
  left: 0;
  width: 1.1em;
  height: 1.1em;
  color: rgba(var(--wpcc-form-checkbox-color), 1);
  fill: currentColor;
}
.wp-calorie-calculator
  .wpcc-checkbox
  input:checked
  + span
  .wpcc-checkbox-check
  svg {
  width: 0.8em;
  height: 0.8em;
}
.wp-calorie-calculator .wpcc-checkbox--privacy input + span {
  font-size: calc(var(--wpcc-font-size) * 0.85);
}
.wp-calorie-calculator .wpcc-checkbox.wpcc-empty input + span::before {
  border: 1px solid red !important;
  transform: scale(1.2);
}
.wp-calorie-calculator .wpcc-input {
  position: relative;
  display: flex;
  flex-grow: 1;
  flex-direction: column;
  background-color: #fff;
  border-radius: 3px;
}
.wpcc-elementor-block .wp-calorie-calculator .wpcc-input {
  background-color: transparent;
}
.wp-calorie-calculator .wpcc-input input[type="number"],
.wp-calorie-calculator .wpcc-input input[type="text"],
.wp-calorie-calculator .wpcc-input input[type="email"],
.wp-calorie-calculator .wpcc-input textarea {
  box-sizing: border-box;
  width: 100%;
  max-width: none;
  height: 50px;
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
  border-radius: 3px;
  background-color: #fff;
  border: 1px solid rgba(var(--wpcc-border-color), 1);
  color: rgba(var(--wpcc-text-color), 1);
  padding: 15px;
  margin: 0;
  outline: 0;
  -webkit-appearance: none;
  appearance: none;
  -moz-appearance: none;
  transition:
    border 0.2s ease-in-out,
    text-decoration 0.2s ease-in-out;
  overflow: hidden;
}
.wp-calorie-calculator .wpcc-input input[type="number"]:hover,
.wp-calorie-calculator .wpcc-input input[type="number"]:focus,
.wp-calorie-calculator .wpcc-input input[type="text"]:hover,
.wp-calorie-calculator .wpcc-input input[type="text"]:focus,
.wp-calorie-calculator .wpcc-input input[type="email"]:hover,
.wp-calorie-calculator .wpcc-input input[type="email"]:focus,
.wp-calorie-calculator .wpcc-input textarea:hover,
.wp-calorie-calculator .wpcc-input textarea:focus {
  background-color: rgba(var(--wpcc-border-color), 0.1);
}
.wp-calorie-calculator .wpcc-input input[type="number"]:not(:placeholder-shown),
.wp-calorie-calculator .wpcc-input input[type="text"]:not(:placeholder-shown),
.wp-calorie-calculator .wpcc-input input[type="email"]:not(:placeholder-shown),
.wp-calorie-calculator .wpcc-input textarea:not(:placeholder-shown) {
  padding-top: 23px;
  padding-bottom: 7px;
}
.wp-calorie-calculator
  .wpcc-input
  input[type="number"]:not(:placeholder-shown)
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="number"]:not(:placeholder-shown)
  + .wpcc-input-placeholder
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="text"]:not(:placeholder-shown)
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="text"]:not(:placeholder-shown)
  + .wpcc-input-placeholder
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="email"]:not(:placeholder-shown)
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="email"]:not(:placeholder-shown)
  + .wpcc-input-placeholder
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  textarea:not(:placeholder-shown)
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  textarea:not(:placeholder-shown)
  + .wpcc-input-placeholder
  + .wpcc-input-placeholder {
  transform: translate3d(0, -0.75em, 0) scale(0.75);
}
.wp-calorie-calculator .wpcc-input input[type="number"]:focus,
.wp-calorie-calculator .wpcc-input input[type="text"]:focus,
.wp-calorie-calculator .wpcc-input input[type="email"]:focus,
.wp-calorie-calculator .wpcc-input textarea:focus {
  padding-top: 23px;
  padding-bottom: 7px;
}
.wp-calorie-calculator
  .wpcc-input
  input[type="number"]:focus
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="number"]:focus
  + .wpcc-input-placeholder
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="text"]:focus
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="text"]:focus
  + .wpcc-input-placeholder
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="email"]:focus
  + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  input[type="email"]:focus
  + .wpcc-input-placeholder
  + .wpcc-input-placeholder,
.wp-calorie-calculator .wpcc-input textarea:focus + .wpcc-input-placeholder,
.wp-calorie-calculator
  .wpcc-input
  textarea:focus
  + .wpcc-input-placeholder
  + .wpcc-input-placeholder {
  transform: translate3d(0, -0.75em, 0) scale(0.75);
}
.wp-calorie-calculator
  .wpcc-input
  input[type="number"]::-webkit-outer-spin-button,
.wp-calorie-calculator
  .wpcc-input
  input[type="number"]::-webkit-inner-spin-button,
.wp-calorie-calculator
  .wpcc-input
  input[type="text"]::-webkit-outer-spin-button,
.wp-calorie-calculator
  .wpcc-input
  input[type="text"]::-webkit-inner-spin-button,
.wp-calorie-calculator
  .wpcc-input
  input[type="email"]::-webkit-outer-spin-button,
.wp-calorie-calculator
  .wpcc-input
  input[type="email"]::-webkit-inner-spin-button,
.wp-calorie-calculator .wpcc-input textarea::-webkit-outer-spin-button,
.wp-calorie-calculator .wpcc-input textarea::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.wp-calorie-calculator .wpcc-input input[type="number"].wpcc-empty,
.wp-calorie-calculator .wpcc-input input[type="text"].wpcc-empty,
.wp-calorie-calculator .wpcc-input input[type="email"].wpcc-empty,
.wp-calorie-calculator .wpcc-input textarea.wpcc-empty {
  border: 1px solid red !important;
}
.wp-calorie-calculator .wpcc-input input[type="number"].wpcc-wrong,
.wp-calorie-calculator .wpcc-input input[type="text"].wpcc-wrong,
.wp-calorie-calculator .wpcc-input input[type="email"].wpcc-wrong,
.wp-calorie-calculator .wpcc-input textarea.wpcc-wrong {
  text-decoration: line-through;
  border: 1px solid red !important;
}
.wp-calorie-calculator .wpcc-input-wrapper {
  position: relative;
  overflow: hidden;
}
.wp-calorie-calculator .wpcc-input-wrapper label {
  display: flex;
  font-family: inherit;
  font-size: calc(var(--wpcc-font-size) * 1.1);
  line-height: calc(var(--wpcc-font-size) * 1.25);
  font-weight: 600;
  color: rgba(var(--wpcc-labels-color), 1);
  margin-bottom: 10px;
}
.wp-calorie-calculator .wpcc-input span.wpcc-input-placeholder,
.wp-calorie-calculator .wpcc-input label.wpcc-input-placeholder {
  position: absolute;
  top: calc(50% - var(--wpcc-font-size) / 2);
  left: 15px;
  font-size: var(--wpcc-font-size);
  line-height: 1em;
  font-weight: 600;
  color: rgba(28, 31, 35, 0.6);
  transform-origin: 0 0;
  transform: translate3d(0, 0, 0);
  transition: all 0.2s ease;
  pointer-events: none;
}
.wpcc-elementor-block
  .wp-calorie-calculator
  .wpcc-input
  span.wpcc-input-placeholder,
.wpcc-elementor-block
  .wp-calorie-calculator
  .wpcc-input
  label.wpcc-input-placeholder {
  top: calc(50% - 1em / 2);
}
.wp-calorie-calculator .wpcc-switch {
  display: flex;
  align-items: center;
}
.wp-calorie-calculator .wpcc-switch.hidden {
  display: none;
}
.wp-calorie-calculator .wpcc-switch-option {
  font-family: inherit;
  font-size: var(--wpcc-font-size);
  line-height: calc(var(--wpcc-font-size) * 1.25);
  color: rgba(var(--wpcc-text-color), 1);
  cursor: pointer;
}
.wp-calorie-calculator .wpcc-switch-toggle {
  position: relative;
  display: inline-block;
  width: 54px;
  height: 32px;
  margin: 0 15px;
  cursor: pointer;
  z-index: 1;
}
.wp-calorie-calculator .wpcc-switch-toggle input {
  opacity: 0;
  min-width: 0 !important;
  width: 0 !important;
  height: 0 !important;
  margin: 0 !important;
  border: 0 !important;
}
.wp-calorie-calculator
  .wpcc-switch-toggle
  input:checked
  + .wpcc-switch-toggle-circle {
  transform: translate(23px, -50%);
}
.wp-calorie-calculator
  .wpcc-switch-toggle
  input:checked
  + .wpcc-switch-toggle-circle:hover
  + .wpcc-switch-toggle-background,
.wp-calorie-calculator
  .wpcc-switch-toggle
  input:checked
  + .wpcc-switch-toggle-circle:focus
  + .wpcc-switch-toggle-background {
  background: rgba(var(--wpcc-switcher-background-color), 1);
}
.wp-calorie-calculator
  .wpcc-switch-toggle
  input:checked
  + .wpcc-switch-toggle-circle
  + .wpcc-switch-toggle-background {
  background: rgba(var(--wpcc-switcher-background-color), 0.8);
}
.wp-calorie-calculator .wpcc-switch-toggle-background {
  background: rgba(46, 50, 56, 0.09);
  border-radius: 30px;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
}
.wp-calorie-calculator
  .wpcc-switch-toggle-background--two-sided.wpcc-switch-toggle-background {
  background: rgba(var(--wpcc-switcher-background-color), 0.8);
}
.wp-calorie-calculator .wpcc-switch-toggle-circle {
  position: absolute;
  top: 50%;
  left: 4px;
  transform: translate(0, -50%);
  height: 24px;
  width: 24px;
  background: rgba(var(--wpcc-switcher-circle-color), 1);
  box-shadow:
    0px 4px 6px rgba(0, 0, 0, 0.1),
    0px 0px 1px rgba(0, 0, 0, 0.3);
  border-radius: 50%;
  transition: all 0.2s ease-in-out;
  z-index: 1;
}
.wp-calorie-calculator
  .wpcc-switch-toggle-circle:hover
  + .wpcc-switch-toggle-background,
.wp-calorie-calculator
  .wpcc-switch-toggle-circle:focus
  + .wpcc-switch-toggle-background {
  background: rgba(46, 50, 56, 0.13);
}
.wp-calorie-calculator
  .wpcc-switch-toggle-circle:hover
  + .wpcc-switch-toggle-background--two-sided.wpcc-switch-toggle-background,
.wp-calorie-calculator
  .wpcc-switch-toggle-circle:focus
  + .wpcc-switch-toggle-background--two-sided.wpcc-switch-toggle-background {
  background: rgba(var(--wpcc-switcher-background-color), 0.8);
}
.wp-calorie-calculator .wpcc-switch-wrapper {
  width: 100%;
  display: flex;
  justify-content: flex-end;
  margin-bottom: 20px;
}
@media (max-width: 600px) {
  .wp-calorie-calculator .wpcc-switch-wrapper {
    margin-bottom: 40px;
  }
}
@media (max-width: 425px) {
  .wp-calorie-calculator .wpcc-switch-wrapper {
    justify-content: center;
  }
}
.wp-calorie-calculator .wpcc-select-wrapper {
  min-width: 250px;
}
.wp-calorie-calculator .wpcc-select-wrapper label {
  display: block;
  font-family: inherit;
  font-size: calc(var(--wpcc-font-size) * 1.1);
  line-height: calc(var(--wpcc-font-size) * 1.25);
  font-weight: 600;
  color: rgba(var(--wpcc-labels-color), 1);
  margin-bottom: 10px;
}
.wp-calorie-calculator .wpcc-select-wrapper .wpcc-select__placeholder {
  font-size: var(--wpcc-font-size);
  line-height: calc(var(--wpcc-font-size) * 1.25);
}
.wp-calorie-calculator .wpcc-select-wrapper .wpcc-select__option {
  font-size: var(--wpcc-font-size);
  line-height: calc(var(--wpcc-font-size) * 1.25);
}
.wp-calorie-calculator .wpcc-select-wrapper .wpcc-select__option.wpcc-empty {
  border: 1px solid red;
}
.wp-calorie-calculator .wpcc-select-wrapper .wpcc-select__value {
  font-size: var(--wpcc-font-size);
  line-height: calc(var(--wpcc-font-size) * 1.25);
}
.wp-calorie-calculator .wpcc-select-wrapper .wpcc-select__input {
  font-size: var(--wpcc-font-size);
  color: rgba(var(--wpcc-text-color), 1);
}
.wp-calorie-calculator .wpcc-tooltip {
  position: relative;
  top: 3px;
  margin-left: 5px;
  flex-shrink: 0;
  flex-grow: 0;
  width: var(--wpcc-font-size);
  height: var(--wpcc-font-size);
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background: transparent;
  border: 0;
  outline: 0;
  cursor: pointer;
}
.wp-calorie-calculator .wpcc-tooltip svg {
  flex-shrink: 0;
  position: absolute;
  top: 0;
  left: 0;
  color: rgba(var(--wpcc-tooltip-icon-color), 1);
  fill: currentColor;
}
.wp-calorie-calculator .wpcc-tooltip:hover .wpcc-tooltip-text {
  visibility: visible;
}
.wp-calorie-calculator .wpcc-tooltip .wpcc-tooltip-text {
  visibility: hidden;
  position: absolute;
  left: 50%;
  bottom: 150%;
  margin-left: -100px;
  padding: 7px 10px;
  width: 200px;
  font-family: inherit;
  font-size: calc(var(--wpcc-font-size) * 0.85);
  line-height: 1.4em;
  color: #fff;
  text-align: center;
  background-color: #41464c;
  border-radius: 6px;
  z-index: 1;
}
.wp-calorie-calculator .wpcc-tooltip .wpcc-tooltip-text::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #41464c transparent transparent transparent;
}
.wp-calorie-calculator .wpcc-loading {
  position: relative !important;
}
.wp-calorie-calculator .wpcc-loading::after {
  content: "";
  display: block;
  position: absolute;
  top: calc(50% - 8px);
  right: 10px;
  box-sizing: border-box;
  height: 16px;
  width: 16px;
  border-radius: 50%;
  border-width: 2px;
  border-style: solid;
  border-color: rgba(var(--wpcc-button-text-color), 1) transparent
    rgba(var(--wpcc-button-text-color), 1) transparent;
  animation: spin 1.2s linear infinite;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.wp-calorie-calculator .wpcc-row {
  display: flex;
}
.wp-calorie-calculator .wpcc-group {
  margin-bottom: calc(var(--wpcc-font-size) * 3.125);
}
.wp-calorie-calculator .wpcc-group.hidden {
  display: none;
}
.wp-calorie-calculator .wpcc-group-title {
  display: block;
  font-size: calc(var(--wpcc-font-size) * 1.125);
  line-height: 1.1em;
  font-weight: 600;
  color: rgba(var(--wpcc-labels-color), 1);
  margin-bottom: 1.1em;
}
.wp-calorie-calculator .wpcc-title {
  color: rgba(var(--wpcc-main-title-color), 1);
  font-size: calc(var(--wpcc-font-size) * 1.5);
  line-height: 1.25em;
  font-weight: 600;
  padding-bottom: 0.4em;
  margin-top: 0.65em;
  margin-bottom: 1.25em;
  border-bottom: 1px solid rgba(var(--wpcc-main-title-border-color), 1);
}
@media (max-width: 576px) {
  .wp-calorie-calculator .wpcc-title {
    padding-left: 10px;
    padding-right: 10px;
  }
}
.wpcc-elementor-block .wp-calorie-calculator .wpcc-title {
  border-bottom: none;
  padding-bottom: 0;
}
.wp-calorie-calculator .wpcc-title.center {
  text-align: center;
}
.wp-calorie-calculator .wpcc-title.left {
  text-align: left;
}
.wp-calorie-calculator .wpcc-title.right {
  text-align: right;
}
@media (max-width: 425px) {
  .wp-calorie-calculator .wpcc-title {
    text-align: center;
  }
  .wp-calorie-calculator .wpcc-title.left,
  .wp-calorie-calculator .wpcc-title.right {
    text-align: center;
  }
}
.wp-calorie-calculator .wpcc-result {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: rgba(var(--wpcc-result-background-color), 1);
  padding: 25px 20px 20px 20px;
  border-radius: 15px;
  color: rgba(var(--wpcc-result-text-color), 1);
}
@media (max-width: 900px) {
  .wp-calorie-calculator .wpcc-result-bmi {
    order: 3;
  }
}
@media (max-width: 565px) {
  .wp-calorie-calculator .wpcc-result {
    padding: 25px 15px 15px 15px;
  }
}
.wp-calorie-calculator .wpcc-result-row {
  margin-left: -10px;
  margin-right: -10px;
}
@media (max-width: 565px) {
  .wp-calorie-calculator .wpcc-result-row {
    margin-left: 0;
    margin-right: 0;
  }
}
.wp-calorie-calculator .wpcc-result-icon {
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(var(--wpcc-result-icon-background), 1);
  border-radius: 16px;
  margin-bottom: 15px;
}
.wp-calorie-calculator .wpcc-result-icon svg {
  flex-shrink: 0;
  width: 18px;
  height: 18px;
  color: rgba(var(--wpcc-result-icon-color), 1);
  fill: currentColor;
}
.wp-calorie-calculator .wpcc-result-title {
  font-size: calc(var(--wpcc-font-size) * 1.5);
  line-height: 1.25em;
  font-weight: 600;
  text-transform: uppercase;
  color: rgba(var(--wpcc-result-title-color), 1);
  margin-bottom: 20px;
}
@media (max-width: 565px) {
  .wp-calorie-calculator .wpcc-result-title {
    text-align: center;
  }
}
.wp-calorie-calculator .wpcc-result-subtitle {
  font-weight: 600;
  font-size: calc(var(--wpcc-font-size) * 1.1);
  line-height: 1.3em;
  color: rgba(var(--wpcc-result-text-color), 1);
  margin-top: 0.4em;
  margin-bottom: 0.8em;
  text-align: center;
  padding-left: 5px;
  padding-right: 5px;
}
@media (max-width: 1024px) {
  .wp-calorie-calculator .wpcc-result-subtitle {
    font-size: calc(var(--wpcc-font-size) * 1.1);
  }
}
.wp-calorie-calculator .wpcc-result-data {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 240px;
  padding: 15px;
  font-size: calc(var(--wpcc-font-size) * 1.2);
  line-height: 1.25em;
  background-color: #fff;
  border: 1.5px solid rgba(var(--wpcc-input-border-color), 0.3);
  border-radius: 12px;
  margin-bottom: 20px;
}
@media (max-width: 1024px) {
  .wp-calorie-calculator .wpcc-result-data {
    width: 220px;
  }
}
@media (max-width: 768px) {
  .wp-calorie-calculator .wpcc-result-data {
    width: 286px;
  }
}
@media (max-width: 565px) {
  .wp-calorie-calculator .wpcc-result-data {
    width: 100%;
    margin-bottom: 10px;
  }
}
.wp-calorie-calculator .wpcc-result-data-type {
  margin-right: 5px;
}
.wp-calorie-calculator .wpcc-result-data-count {
  font-weight: 600;
  margin-right: 3px;
}
.wp-calorie-calculator .wpcc-result-data-unit {
  font-weight: 600;
}
.wp-calorie-calculator .wpcc-result-bmi-type {
  color: #fff !important;
  font-weight: 600;
}
.wp-calorie-calculator .wpcc-result .wpcc-row {
  justify-content: center;
  flex-wrap: wrap;
  width: auto;
}
.wp-calorie-calculator .wpcc-result .wpcc-row-group {
  display: flex;
  flex-direction: column;
  align-items: center;
}
@media (max-width: 565px) {
  .wp-calorie-calculator .wpcc-result .wpcc-row-group {
    width: 100%;
  }
}
.wp-calorie-calculator .wpcc-result .wpcc-row .wpcc-result-data {
  margin-right: 10px;
  margin-left: 10px;
}
@media (max-width: 565px) {
  .wp-calorie-calculator .wpcc-result .wpcc-row .wpcc-result-data {
    margin-right: 0;
    margin-left: 0;
  }
}
.wp-calorie-calculator .wpcc-result-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  max-width: 100%;
  margin: 10px auto 0 auto;
}
.wp-calorie-calculator .wpcc-result-form-block {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.wp-calorie-calculator .wpcc-result-form-wrapper {
  margin-bottom: 10px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}
@media (max-width: 600px) {
  .wp-calorie-calculator .wpcc-result-form-wrapper {
    width: 100%;
    margin-bottom: 0;
  }
}
.wp-calorie-calculator .wpcc-result-form-fields {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  max-width: 100%;
}
.wp-calorie-calculator .wpcc-result-form-fields input.wpcc-result-form-field,
.wp-calorie-calculator
  .wpcc-result-form-fields
  textarea.wpcc-result-form-field {
  max-width: 100%;
  min-height: 50px;
  background: #fff;
  border-radius: 5px;
  border: 0;
  font-family: inherit;
  font-size: calc(var(--wpcc-font-size) * 1.1);
  color: rgba(var(--wpcc-text-color), 1);
  padding: 8px 15px;
  outline: none;
  box-shadow: none;
  margin-left: 5px;
  margin-right: 5px;
  margin-bottom: 10px;
}
@media (max-width: 600px) {
  .wp-calorie-calculator .wpcc-result-form-fields input.wpcc-result-form-field,
  .wp-calorie-calculator
    .wpcc-result-form-fields
    textarea.wpcc-result-form-field {
    margin-left: 0;
    margin-right: 0;
    margin-bottom: 20px;
  }
}
.wp-calorie-calculator
  .wpcc-result-form-fields
  input.wpcc-result-form-field--error,
.wp-calorie-calculator
  .wpcc-result-form-fields
  textarea.wpcc-result-form-field--error {
  box-shadow: inset 0 0 0 1px red;
}
.wp-calorie-calculator
  .wpcc-result-form-fields
  textarea.wpcc-result-form-field {
  flex-shrink: 0;
  flex-grow: 1;
  width: calc(100% - 20px);
}
.wpcc-elementor-block
  .wp-calorie-calculator
  .wpcc-result-form-fields
  textarea.wpcc-result-form-field {
  flex-shrink: unset;
  flex-grow: unset;
}
.wp-calorie-calculator
  .wpcc-result-form-fields.form-style-onecolumn
  input.wpcc-result-form-field {
  width: 100%;
}
.wp-calorie-calculator
  .wpcc-result-form-fields.form-style-twocolumns
  input.wpcc-result-form-field {
  width: calc(50% - 20px);
  flex-grow: 1;
}
@media (max-width: 767px) {
  .wp-calorie-calculator
    .wpcc-result-form-fields.form-style-twocolumns
    input.wpcc-result-form-field {
    width: 100%;
  }
}
.wp-calorie-calculator
  .wpcc-result-form
  button[type="submit"].wpcc-result-form-submit {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
  margin-left: 10px;
  margin-right: 10px;
  min-width: 217px;
  max-width: 100%;
  min-height: 50px;
  text-align: center;
  background: rgba(var(--wpcc-button-background-color), 1);
  border-radius: 5px;
  text-transform: uppercase;
  font-size: calc(var(--wpcc-font-size) * 1.1);
  font-weight: 600;
  color: rgba(var(--wpcc-button-text-color), 1);
  letter-spacing: 0;
  text-decoration: none;
  outline: 0;
  border: 0;
  padding: calc(var(--wpcc-font-size) * 0.55) calc(var(--wpcc-font-size) * 1.3);
  box-shadow: none;
  transition: all 0.2s ease-in-out;
  cursor: pointer;
}
.wpcc-elementor-block
  .wp-calorie-calculator
  .wpcc-result-form
  button[type="submit"].wpcc-result-form-submit {
  min-width: 100px;
}
@media (max-width: 565px) {
  .wp-calorie-calculator
    .wpcc-result-form
    button[type="submit"].wpcc-result-form-submit {
    width: 100%;
    margin-left: 0;
    margin-right: 0;
  }
}
.wp-calorie-calculator
  .wpcc-result-form
  button[type="submit"].wpcc-result-form-submit:hover {
  background: rgba(var(--wpcc-button-background-color-hover), 1);
}
.wp-calorie-calculator .wpcc-result-form-user-agreement {
  width: 100%;
  flex-shrink: 0;
}
.wp-calorie-calculator .wpcc-result-form-user-agreement label {
  justify-content: center;
}
.wp-calorie-calculator .wpcc-result-form-notice {
  border-radius: 10px;
  border: 1px solid transparent;
  padding: 15px;
  width: 100%;
  margin: 10px auto;
  font-weight: 500;
  font-size: 1em;
  line-height: 1.5;
  text-align: center;
  display: none;
}
.wp-calorie-calculator .wpcc-result-form-notice span {
  display: flex;
  align-items: center;
  justify-content: center;
}
.wp-calorie-calculator .wpcc-result-form-notice span::before {
  content: "";
  width: 1rem;
  height: 1rem;
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  display: inline-block;
  margin-right: 0.5rem;
}
.wp-calorie-calculator .wpcc-result-form-notice--error {
  color: #ff000e;
  background-color: #f8d7da;
}
.wp-calorie-calculator .wpcc-result-form-notice--error span::before {
  background-image: url(../warning.html);
}
.wp-calorie-calculator .wpcc-result-form-notice--success {
  color: #0f5132;
  background-color: #d1e7dd;
}
.wp-calorie-calculator .wpcc-result-form-notice--success span::before {
  background-image: url(../circle-check.html);
}
.wp-calorie-calculator .wpcc-result-form-submission {
  font-size: 1.3em;
  line-height: 1.5;
  font-weight: 500;
  color: rgba(var(--wpcc-text-color), 1);
  text-align: center;
  display: none;
  max-width: 400px;
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 20px;
}
.wp-calorie-calculator .wpcc-result-form-submission.wpcc-show {
  display: block;
}
.wp-calorie-calculator .wpcc-result-link {
  text-decoration: none;
  font-weight: bold;
  color: rgba(var(--wpcc-form-link-color), 1);
}
.wp-calorie-calculator .wpcc-result-link:hover,
.wp-calorie-calculator .wpcc-result-link:focus {
  text-decoration: underline;
  color: rgba(var(--wpcc-form-link-color-hover), 1);
}
.wp-calorie-calculator .wpcc-result-recaptcha-policy {
  font-size: 0.7em;
  width: 100%;
  text-align: center;
  padding-top: 2px;
}
.wp-calorie-calculator .wpcc-result-recaptcha-policy a {
  text-decoration: none;
  font-weight: bold;
}
.wp-calorie-calculator .wpcc-result-recaptcha-policy a:hover,
.wp-calorie-calculator .wpcc-result-recaptcha-policy a:focus {
  text-decoration: underline;
}
.wp-calorie-calculator .wpcc-result-instant {
  padding-top: 25px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.elementor-edit-area .wp-calorie-calculator .wpcc-result-instant {
  display: flex !important;
}
.wp-calorie-calculator .wpcc-hidden {
  display: none;
}
.elementor-widget-wp-calorie-calculator-widget.elementor-element-edit-mode
  .wpcc-result--email
  .wpcc-result-form-submission {
  display: block !important;
}
.rtl .wp-calorie-calculator .wpcc-radio input + span::before {
  left: unset;
  right: 0;
  margin-right: unset;
  margin-left: 0.5em;
}
.rtl .wp-calorie-calculator .wpcc-checkbox input + span {
  padding-left: unset;
  padding-right: calc(var(--wpcc-font-size) + (var(--wpcc-font-size) * 0.6));
}
.rtl .wp-calorie-calculator .wpcc-checkbox input + span::before {
  left: unset;
  right: 0;
  margin-right: unset;
  margin-left: 0.5em;
}
.rtl
  .wp-calorie-calculator
  .wpcc-checkbox
  input:checked
  + span
  .wpcc-checkbox-check {
  left: unset;
  right: 0;
  transform: rotateY(180deg);
}
.rtl .wp-calorie-calculator .wpcc-input span.wpcc-input-placeholder,
.rtl .wp-calorie-calculator .wpcc-input label.wpcc-input-placeholder {
  left: unset;
  right: 15px;
}
.rtl .wp-calorie-calculator .wpcc-switch {
  flex-direction: row-reverse;
}
.rtl .wp-calorie-calculator .wpcc-tooltip {
  margin-left: unset;
  margin-right: 5px;
}
.rtl .wp-calorie-calculator .wpcc-tooltip svg {
  left: unset;
  right: 0;
}
.rtl .wp-calorie-calculator .wpcc-tooltip .wpcc-tooltip-text {
  left: unset;
  right: 50%;
  margin-left: unset;
  margin-right: -100px;
}
.rtl .wp-calorie-calculator .wpcc-tooltip .wpcc-tooltip-text::after {
  left: unset;
  right: 50%;
}
.rtl .wp-calorie-calculator .wpcc-loading::after {
  right: unset;
  left: 10px;
}
.rtl .wp-calorie-calculator .wpcc-title.left {
  text-align: right;
}
.rtl .wp-calorie-calculator .wpcc-title.right {
  text-align: left;
}
.rtl .wp-calorie-calculator .wpcc-result-data-type {
  margin-right: unset;
  margin-left: 5px;
}
.rtl .wp-calorie-calculator .wpcc-result-data-count {
  margin-right: unset;
  margin-left: 3px;
}
